Bug 526263

Summary: Review Request: l7-protocols - Protocol definitions files for l7-filter
Product: [Fedora] Fedora Reporter: Marcus Moeller <marcus.moeller>
Component: Package ReviewAssignee: Christoph Wickert <cwickert>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: cassmodiah, cwickert, fedora-package-review, mtasaka, notting
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-06 08:39:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 526265    

Description Marcus Moeller 2009-09-29 10:52:30 EDT
Spec URL: http://www.marcus-moeller.de/share/build/l7-protocols/l7-protocols.spec
SRPM URL: http://www.marcus-moeller.de/share/build/l7-protocols/l7-protocols-20090528-1.fc11.src.rpm
Description:

L7-filter is a packet classifier for Linux. Unlike most other  classifiers, it doesn't just look at simple values such as port numbers but does regular expression matching on the application layer data to determine what protocols are being used.

This package contains the protocol definitions files for use with the Linux Layer 7 Packet Classifier. These files are regular expressions that define Internet protocols, including HTTP, FTP, DNS, P2P filesharing, etc.
Comment 1 Marcus Moeller 2009-10-05 10:13:24 EDT
rpmlint {SPECS,SRPMS,RPMS/noarch}/l7-protocols*

l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/chikka-b-1
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/chikka-b-3
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/chikka-b-5
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/chikka-b-7
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/gnutella-connect-2
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/http-wunderground-2
l7-protocols.noarch: W: file-not-utf8 /usr/share/doc/l7-protocols-20090528/testing/data/http-wunderground-2
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/http-wunderground-1
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/ftp-2
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/imap-4
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/imap-6
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/ftp-3
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/http-digg-304-2
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/chikka-b-2
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/chikka-b-4
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/chikka-a-2
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/chikka-a-1
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/chikka-a-3
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/example_traffic/msn_chat_and_file_transfer.txt
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/imap-5
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/imap-2
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/chikka-b-6
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/ssdp-1
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/imap-3
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/gnutella-3
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/gnutella-2
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/gnutella-1
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/ftp-4
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/ftp-5
l7-protocols.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/l7-protocols-20090528/testing/data/ftp-1
2 packages and 1 specfiles checked; 0 errors, 30 warnings.

Still got a few warnings concerning the file format.  I have asked upstream if it's necessary to keep the tests in the original encoding.
Comment 2 Marcus Moeller 2009-10-07 04:53:35 EDT
Update:

The above files are byte for byte transcripts of network data and must not be changed in any way.

Best Regards
Marcus
Comment 3 Marcus Moeller 2009-10-09 03:45:31 EDT
Made custom README replaceable as it needs to be updated on package version changes. 

Spec URL:
http://www.marcus-moeller.de/share/build/l7-protocols/20090528-2/l7-protocols.spec
SRPM URL:
http://www.marcus-moeller.de/share/build/l7-protocols/20090528-2/l7-protocols-20090528-2.fc11.src.rpm

Best Regards
Marcus
Comment 4 Christoph Wickert 2009-11-03 19:47:54 EST
Marcus, what happened to your server? All the files are returning 404.
Comment 5 Marcus Moeller 2009-11-04 06:20:21 EST
Should work again. Sorry.

Best Regards
Marcus
Comment 6 Marcus Moeller 2009-11-13 02:12:37 EST
Contacted the author concerning the tests

He stated that they are only for testing the speeds of the patterns and are completely unnecessary for production running and that it would not make a sense to make a separate package for them.

This is why tests have now been removed from the package.

Spec URL:
http://www.marcus-moeller.de/share/build/l7-protocols/20090528-3/l7-protocols.spec
SRPM URL:
http://www.marcus-moeller.de/share/build/l7-protocols/20090528-3/l7-protocols-20090528-3.fc11.src.rpm

Best Regards
Marcus
Comment 7 Mamoru TASAKA 2009-11-17 13:48:47 EST
@Christoph:

Currently I am reviewing another review request by Marcus
(bug 530301), which I think can be approved with a few left work.
Would you tell me if you are going to sponsor Marcus or not?
Comment 8 Christoph Wickert 2009-11-17 15:09:19 EST
I am definitely going to sponsor Marcus, but the l7 packages still need a lot work. Marcus and I have talked about this on IRC and in private, sorry it's not in bugzilla.
Comment 9 Mamoru TASAKA 2009-11-18 11:11:50 EST
(In reply to comment #8)
> I am definitely going to sponsor Marcus, but the l7 packages still need a lot
> work. Marcus and I have talked about this on IRC and in private, sorry it's not
> in bugzilla.  

Well, then will you sponsor Marcus soon if he applies for the sponsorship?
Now bmpanel2 review request (bug 530301) can be approved.
Comment 10 Mamoru TASAKA 2009-11-22 22:30:41 EST
Christoph?
Comment 11 Marcus Moeller 2009-11-26 04:50:47 EST
Reworked. Christoph suggested in IRC to include the tests and to place the protocols in %{_datadir} instead of docs.

Spec URL:
http://www.marcus-moeller.de/share/build/l7-protocols/20090528-4/l7.spec
SRPM URL:
http://www.marcus-moeller.de/share/build/l7-protocols/20090528-4/l7-20090528-4.fc11.src.rpm

Best Regards
Marcus
Comment 12 Marcus Moeller 2009-12-17 03:29:00 EST
Debian Guys had similar discussion about placing the protocol definitions:

They've ended up with the simplest solution: protocol definitions are put in /etc and they are marked as conffiles.

http://bugs.debian.org/546665
http://lists.debian.org/debian-devel/2009/09/msg00860.html
http://www.debian.org/doc/debian-policy/ap-pkg-conffiles.html#sE.1

I personally prefer to place them into %{_datadir}.

Besides that, the package has been updated:
- made tests the main package and defined named subpackage

Spec URL:
http://www.marcus-moeller.de/share/build/l7-protocols/20090528-5/l7-tests.spec
SRPM URL:
http://www.marcus-moeller.de/share/build/l7-protocols/20090528-5/l7-tests-20090528-5.fc11.src.rpm

rpmlint SRPMS/l7-tests-20090528-5.fc11.src.rpm   RPMS/noarch/l7-protocols-20090528-5.fc11.noarch.rpm  RPMS/i586/l7-tests-debuginfo-20090528-5.fc11.i586.rpm RPMS/i586/l7-tests-20090528-5.fc11.i586.rpm
l7-tests-debuginfo.i586: E: debuginfo-without-sources

Not sure how to get rid of these debuginfo-without-sources message.
Comment 13 Christoph Wickert 2010-04-02 17:59:41 EDT
(In reply to comment #12)

> Not sure how to get rid of these debuginfo-without-sources message.    

This is most likely because you are not using the proper rpm optflags. Please take a look at https://fedoraproject.org/wiki/Packaging:Debuginfo and
https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags
Comment 14 Christoph Wickert 2010-07-16 14:31:40 EDT
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews I'm now closing this bug. Feel free to reopen once the packages are ready. Don't forget to remove the block on FE-DEADREVIEW then.
Comment 15 Marcus Moeller 2011-08-04 08:25:03 EDT
Updated package, to not include tests as they are not needed.

http://www.marcusmoeller.ch/share/build/l7-protocols/20090528-6/l7-protocols.spec
http://www.marcusmoeller.ch/share/build/l7-protocols/20090528-6/l7-protocols-20090528-6.fc14.src.rpm

This is also in line with the Debian package.
Comment 17 Marcus Moeller 2011-08-04 11:02:18 EDT
Sorry, the last past should go to the filter package :)
Comment 18 Marcus Moeller 2011-08-04 11:28:22 EDT
Atm, i have placed the protocols in /usr/share but some ppl suggest to use /usr/lib instead:

http://www.marcusmoeller.ch/share/build/l7-protocols/share_vs_lib

I leave the decision up to you cwickert, just leave me a note here and i will prepare an updated version that makes use of /usr/lib, instead.
Comment 19 Marcus Moeller 2013-05-06 08:39:48 EDT
I am no longer interested in maintaining this package. Maybe someone else would like to continue packaging it.